%define		subrel 2

# This is a single package containing the beid-middleware, including the
# libraries as well as the firefox plugin used to register the libraries
# with firefox. This enables the use of Belgian eID, for signing and
# authentication for websites such as http://taxonweb.be . I put this all
# in one package, because this is always used together, and nothing else
# requires these files. This new version supersedes the old beid packages.
Name:		beid-middleware
Summary:	Application to read information from the Belgian e-ID card
Version:	4.0.0.r929
Release:	%mkrel 1
# The original parts are under the "eID Toolkit Software License",
# which by my reading is BSD-like; it's basically the BSD in stronger
# legal language with some added gumph about liability etc. It also
# contains bits of OpenSC (which is LGPLv2+) and OpenSSL (which is
# BSD). - AdamW 2008/09
# Looking at the unofficial link ( http://code.google.com/p/eid-mw ) and
# at the license file inside the svn tree, it seems that it's now released
# as LGPLv3 - alien 2011
License:	LGPLv3
Group:		Communications
URL:		http://eid.belgium.be/
# This unofficial build is made by 'svn export . beid-middleware-%{version}'
# and then tarring it. svn is from http://code.google.com/p/eid-mw .
# This is a complete rewrite from 2.6.0 versions, or even 3.5.x branch.
# Note that belgian government still uses 3.6 version in their taxonweb
# in the svn export i also removed the following unneeded directories:
# "beidcleanup debian dev_env dmg installers Outlook_snc test sdk rpm
# windows VS_2010". - alien 2011
Source0:	%{name}-%{version}.tar.bz2
# patch 0 and 1 are made by myself, while patch 2 comes from a diff of the
# xpi dir between 929 and 954 - alien 2011
Patch0:		beid-middleware-4.0.0.r929_fix_compile.patch
Patch1:		beid-middleware-4.0.0.r929_fix_library_versioning.patch
Patch2:		beid-middleware-4.0.0.r954_fix_xpi_for_FF5.patch
BuildRequires:	gtk2-devel
BuildRequires:	xerces-c-devel
BuildRequires:	pcsc-lite-devel
BuildRequires:	java
BuildRequires:	swig
BuildRequires:	subversion
Requires:	pcsc-lite
Obsoletes:	beid < 4.0.0
Obsoletes:	%{_lib}beid2 < 4.0.0
Obsoletes:	%{_lib}beidcomm0 < 4.0.0
Obsoletes:	%{_lib}beidcommon0 < 4.0.0
Obsoletes:	%{_lib}beidgui1 < 4.0.0
Obsoletes:	%{_lib}beidlibopensc2 < 4.0.0
Obsoletes:	%{_lib}beidpcsclite2 < 4.0.0
Obsoletes:	%{_lib}beidpkcs11_2 < 4.0.0
# Suggesting the goverment supplied reader device driver.
Suggests:	acr38u

%description
This application allows the user to read out any information from a
Belgian electronic ID card, by using libbeid and libbeidlibopensc to
read the data from the card and parse it. Both identity information
and information about the stored cryptographic keys can be read in a
user-friendly manner, and can easily be printed out or stored for 
later review.

The application verifies the signature of the identity information,
checks whether it was signed by a government-issued key, and
optionally checks the certificate against the government's Certificate
Revocation List (CRL) and/or by using the Online Certificate Status
Protocol (OCSP) against the government's servers.

%prep
%setup -q
%apply_patches

%build
autoreconf -i
%configure2_5x
%make
%make xpipackage

%install
rm -rf %{buildroot}
%makeinstall_std
# remove static libraries
rm -f %{buildroot}%{_libdir}/*.{la,a}
# remove development libraries
rm -f %{buildroot}%{_libdir}/libbeid*.so

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%{_libdir}/libbeid*
%{_libdir}/*cardplugin*
%{_datarootdir}/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}


%changelog
* Wed Aug 17 2011 alien <alien> 4.0.0.r929-1.2.mga1
+ Revision: 134250
- Fix xpi for FF5
- Fix missing obsoletes

* Thu Jun 16 2011 alien <alien> 4.0.0.r929-1.mga2
+ Revision: 108311
- Remove old beidgui references
- Remove development libraries
- Add packaging explanation comment regarding not splitting up the package
- Fix a library linking issue
- Remove static libraries
- imported package beid-middleware

